diffstat for dolphin-emu-4.0.2+dfsg dolphin-emu-4.0.2+dfsg

 changelog                 |   10 ++++++++++
 patches/10_find-x11.patch |   25 +++++++++++++++++++++++++
 patches/series            |    1 +
 3 files changed, 36 insertions(+)

diff -Nru dolphin-emu-4.0.2+dfsg/debian/changelog dolphin-emu-4.0.2+dfsg/debian/changelog
--- dolphin-emu-4.0.2+dfsg/debian/changelog	2015-02-09 10:51:55.000000000 +0000
+++ dolphin-emu-4.0.2+dfsg/debian/changelog	2015-07-26 12:19:45.000000000 +0100
@@ -1,3 +1,13 @@
+dolphin-emu (4.0.2+dfsg-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * d/p/10_find-x11.patch: backport patch from upstream to invoke FindX11
+    explicitly. It looks as though this used to be pulled in implicitly
+    by FindOpenGL but this is no longer the case, causing FTBFS.
+    (Closes: #793572)
+
+ -- Simon McVittie <smcv@debian.org>  Sun, 26 Jul 2015 11:54:16 +0100
+
 dolphin-emu (4.0.2+dfsg-1) unstable; urgency=medium
 
   * Initial release (Closes: #535073)
diff -Nru dolphin-emu-4.0.2+dfsg/debian/patches/10_find-x11.patch dolphin-emu-4.0.2+dfsg/debian/patches/10_find-x11.patch
--- dolphin-emu-4.0.2+dfsg/debian/patches/10_find-x11.patch	1970-01-01 01:00:00.000000000 +0100
+++ dolphin-emu-4.0.2+dfsg/debian/patches/10_find-x11.patch	2015-07-26 12:21:41.000000000 +0100
@@ -0,0 +1,25 @@
+From: Maxime Gauduin <alucryd@gmail.com>
+Date: Fri, 13 Mar 2015 12:58:08 +0100
+Subject: Include the FindX11 module
+
+Bug-Debian: https://bugs.debian.org/793572
+Origin: upstream, https://github.com/dolphin-emu/dolphin/commit/148ce85b26925e38ced2f196475086eb7884fb62
+[smcv: backported to 4.0.2]
+---
+ CMakeLists.txt | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 5903eca..421e224 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -413,8 +413,7 @@ if(NOT ANDROID)
+ 			add_definitions(-DHAVE_WAYLAND=0)
+ 		endif(USE_WAYLAND AND WAYLAND_FOUND)
+ 
+-		# Note: We do not need to explicitly check for X11 as it is done in the cmake
+-		# FindOpenGL module on linux.
++		include(FindX11)
+ 		if(USE_X11 AND X11_FOUND)
+ 			set(USE_X11 1)
+ 			add_definitions(-DHAVE_X11=1)
diff -Nru dolphin-emu-4.0.2+dfsg/debian/patches/series dolphin-emu-4.0.2+dfsg/debian/patches/series
--- dolphin-emu-4.0.2+dfsg/debian/patches/series	2015-02-09 10:51:17.000000000 +0000
+++ dolphin-emu-4.0.2+dfsg/debian/patches/series	2015-07-26 12:19:09.000000000 +0100
@@ -7,3 +7,4 @@
 07_cmake-sfml-fixes.patch
 08_sfml-use-2.1.patch
 09_arm-use-gl.patch
+10_find-x11.patch
